@font-face {
  font-family: PTSans;
  src: url("../fonts/PTSans.ttc");
}

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}

html,
body {
  overflow-x: hidden;
  font-family: PTSans;
}

.container {
  position: relative;
  max-width: 1024px;
  margin: 0 auto;
}

@mixin flex($justify, $align) {
  display: flex;
  justify-content: $justify;
  align-items: $align;
}

/* btn default */

.btn {
  display: block;
  width: 100%;
  border-radius: 3px;
  padding: 8px 15px;
  border: none;
  outline: none;
  text-decoration: none;
  text-align: center;
  font-family: PTsans;
  font-size: 18px;
  cursor: pointer;
}

.see-more {
  display: inline-block;
  font-style: italic;
  border-bottom: 2px solid $pink;
  text-decoration: none;
  color: #000;
  line-height: 0.9;
}

.error-message {
  color: red;
  font-size: 14px;
  text-align: center;
  margin: 20px 0;
}

.alert-modal {
  position: fixed;
  display: none;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border-radius: 15px;
  padding: 20px 10px 40px;
  width: 80%;
  max-width: 350px;
  text-align: center;
  z-index: 9999999;

  &.success {
    background-color: $light-blue;
    color: $dark-gray;
  }

  &.error {
    background-color: $pink;
    color: #fff;
  }

  .alert-icon{
    width: 50px;
    height: 50px;
    margin: 0 auto;
    overflow: hidden;
    background-color: $dark-gray;
    border-radius: 5px;

    img {
      width: 100%;
      height: 100%;
    }
  }

  .alert-message {
    font-size: 14px;
    font-weight: 600;
    text-align: center;
    width: 80%;
    margin: 20px auto 0;
  }
}

.btn-pink {
  background-color: $pink;
  color: #fff;
}

.btn-blue {
  background-color: $light-blue;
  color: #fff;
}

.section {
  position: relative;
  padding: 0px 5%;

  &::before {
    content: attr(data-before);
    position: absolute;
    top: 30px;
    left: 50px;
    font-size: 12vw;
    color: #e3e3e4;
    font-weight: 900;
    -webkit-text-stroke: 2px #e3e3e4;
    z-index: 0;
  }
}

.dark-bg {
  background-color: $dark-gray;
  color: #fff;

  &::before {
    color: #2a2f39;
    -webkit-text-stroke: 2px #2a2f39;
  }
}

.light-bg {
  background-color: $light-gray;
  color: #2a2f39;
}

.white-bg {
  background-color: #f5f5f5;
  color: #2a2f39;

  &::before {
    color: #eeeeef;
    -webkit-text-stroke: 2px #eeeeef;
  }
}

.purple-bg {
  background-color: $purple;
  color: #fff;

  a,
  p {
    color: #fff;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($purple, 0.5);
  }
}

.pink-bg {
  background-color: $pink;
  color: #fff;

  a,
  p {
    color: #fff;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($pink, 0.5);
  }

  .see-more {
    border-color: $light-blue;
  }
}

.lightBlue-bg {
  background-color: $light-blue;
  color: #333;

  a,
  p {
    color: #333;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($light-blue, 0.5);
  }
}

.darkBlue-bg {
  background-color: $darkBlue;
  color: #fff;

  a,
  p {
    color: #fff;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($darkBlue, 0.5);
  }
}

.orange-bg {
  background-color: $orange;
  color: #fff;

  a,
  p {
    color: #fff;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($orange, 0.5);
  }

  .see-more {
    border-color: $light-blue;
  }
}

.yellow-bg {
  background-color: $yellow;
  color: #333;

  a,
  p {
    color: #333;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($yellow, 0.5);
  }
}

.gray-bg {
  background-color: $gray;
  color: #fff;

  a,
  p {
    color: #fff;
  }

  &:hover {
    box-shadow: 0 0 20px 10px rgba($gray, 0.5);
  }
}

.opacity0 {
  opacity: 0;
}

.scaleTransform {
  animation: scaleTransform 0.3s ease-in forwards;
}

.business-card {
  @include flex(center, center);
  width: 40%;
  margin-top: 40px;
  padding: 0 5%;

  img {
    width: 60px;
    margin-right: 10px;
  }

  .business-card-text {
    text-align: left;
    .business-card-title {
      font-size: 20px;
      font-weight: 600;
    }

    .business-card-desc {
      font-size: 14px;
      font-style: italic;
    }
  }
}

.box {
  @include flex(center, center);
  margin: auto;
  .big-box {
    width: 100%;
    height: auto;
    max-width: 350px;
    max-height: 350px;
  }

  .rectangle-box {
    max-width: 350px;
    max-height: 175px;
    width: 100%;
    height: auto;
  }

  .squareBox {
    width: 50%;
    height: auto;
    width: 175px;
    height: 175px;
  }

  .workSample-side {
    @include flex(center, center);
    flex-direction: column;

    .double-squareBox {
      @include flex(center, center);
    }
  }
  .work {
    position: relative;
    transition: 0.4s;
    margin: 5px;

    &:hover {
      img {
        filter: brightness(0.8) blur(2px);
      }
      .work-title {
        opacity: 1;
      }
    }

    img {
      transition: 0.4s;
      border-radius: 30px;
    }
    .work-title {
      position: absolute;
      left: 0;
      right: 0;
      top: 45%;
      font-size: 22px;
      opacity: 0;
      transition: 0.3;
      font-weight: 600;
      color: #fff;
      text-align: center;
    }
  }
}

.technology-section {
  padding: 130px 0;
  .technologies-container {
    width: 85%;
    max-width: 750px;
    position: relative;
    z-index: 2;
    margin: auto;
    background-color: $dark-gray;
    padding: 50px 30px;
    border-radius: 30px;
    text-align: center;
    color: #fff;

    .technologies-promo {
      margin-bottom: 20px;
      font-size: 18px;
    }

    .technologies {
      @include flex(center, center);
      flex-wrap: wrap;
      margin-top: 30px;
      img {
        width: 12.2%;
        max-width: 50px;
        margin: 30px 15px 0;
        fill: $light-blue;
      }
    }
  }
}

@media only screen and (max-width: 768px) {
  .section::before {
    left: 20px;
    top: 100px;
    font-size: 15vw;
  }

  .technology-section {
    .technologies-container {
      padding: 30px 5px;

      .technologies-promo {
        font-size: 16px;
        padding: 0 15px;
      }

      .technologies {
        img {
          width: 12.2%;
          max-width: 40px;
          margin: 30px 15px 0;
          fill: $light-blue;
        }
      }
    }
  }

  .business-card {
    width: 95%;
    margin-top: 40px;
    padding: 0;
  
    img {
      width: 40px;
      margin-right: 10px;
    }
  
    .business-card-text {
      text-align: left;
      .business-card-title {
        font-size: 20px;
        font-weight: 600;
      }
  
      .business-card-desc {
        font-size: 14px;
        font-style: italic;
      }
    }
  }

  .box {
    flex-direction: column;
  }
}
